## osmium 0.0~20111114-ga147fb1

=== debian/changelog ===
osmium (0.0~20111114-ga147fb1-1) unstable; urgency=low

  * Initial release (Closes: #648710)

 -- David Paleino <dapal@debian.org>  Mon, 14 Nov 2011 21:11:24 +0100

## osmium 0.0~20111213

=== Makefile ===
#------------------------------------------------------------------------------
#
#  Osmium main makefile
#
#------------------------------------------------------------------------------

all:

clean:
	rm -fr doc/html

install: doc
	install -m 755 -g root -o root -d $(DESTDIR)/usr/include
	install -m 755 -g root -o root -d $(DESTDIR)/usr/share/doc/libosmium-dev
	install -m 644 -g root -o root README $(DESTDIR)/usr/share/doc/libosmium-dev/README
	install -m 644 -g root -o root include/osmium.hpp $(DESTDIR)/usr/include
	cp --recursive include/osmium $(DESTDIR)/usr/include
	cp --recursive doc/html $(DESTDIR)/usr/share/doc/libosmium-dev

check:
	cppcheck --enable=all -I include */*.cpp test/*/test_*.cpp

# This will try to compile each include file on its own to detect missing
# #include directives. Note that if this reports [OK], it is not enough
# to be sure it will compile in production code. But if it reports [FAILED]
# we know we are missing something.
check-includes:
	echo "check includes report:" >check-includes-report; \
	for FILE in include/*.hpp include/*/*.hpp include/*/*/*.hpp; do \
        echo "$${FILE}:" >>check-includes-report; \
        echo -n "$${FILE} "; \
        if `g++ -I include $${FILE} 2>>check-includes-report`; then \
            echo "[OK]"; \
        else \
            echo "[FAILED]"; \
        fi; \
        rm -f $${FILE}.gch; \
	done

indent:
	astyle --style=java --indent-namespaces --indent-switches --pad-header --suffix=none --recursive include/\*.hpp examples/\*.cpp examples/\*.hpp osmjs/\*.cpp test/\*.cpp

doc: doc/html/files.html

doc/html/files.html: include/*.hpp include/*/*.hpp include/*/*/*.hpp
	doxygen >/dev/null

deb:
	debuild -I -us -uc

deb-clean:
	debuild clean

=== examples/Makefile ===
#------------------------------------------------------------------------------
#
#  Makefile for Osmium examples.
#
#------------------------------------------------------------------------------

CXX = g++
#CXX = clang

CXXFLAGS = -g
#CXXFLAGS = -O3

CXXFLAGS += -Wall -Wextra -Wredundant-decls -Wdisabled-optimization -pedantic -Wctor-dtor-privacy -Wnon-virtual-dtor -Woverloaded-virtual -Wsign-promo
#CXXFLAGS += -Wpadded -Winline -Weffc++ -Wold-style-cast

# uncomment this if you want information on how long it took to build the multipolygons
#CXXFLAGS += -DOSMIUM_WITH_MULTIPOLYGON_PROFILING

CXXFLAGS_GEOS    = -DOSMIUM_WITH_GEOS $(shell geos-config --cflags)
CXXFLAGS_SHAPE   = -DOSMIUM_WITH_SHPLIB $(CXXFLAGS_GEOS)
CXXFLAGS_LIBXML2 = -DOSMIUM_WITH_OUTPUT_OSM_XML $(shell xml2-config --cflags)
CXXFLAGS_OGR     = -DOSMIUM_WITH_OGR $(shell gdal-config --cflags)

CXXFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

CXXFLAGS += -I../include

LDFLAGS = -L/usr/local/lib -lexpat -lpthread

LIB_GD       = -lgd -lz -lm
LIB_SQLITE   = -lsqlite3
LIB_V8       = -lv8
LIB_GEOS     = $(shell geos-config --libs)
LIB_SHAPE    = -lshp $(LIB_GEOS)
LIB_PROTOBUF = -lz -lprotobuf-lite -losmpbf
LIB_XML2     = $(shell xml2-config --libs)
LIB_OGR      = $(shell gdal-config --libs)

PROGRAMS = \
    osmium_convert \
    osmium_debug \
    osmium_store_and_debug \
    osmium_find_bbox \
    osmium_progress \
    osmium_range_from_history \
    osmium_sizeof \
    osmium_stats \
    osmium_time \
    osmium_toogr \
    osmium_toogr2 \
    osmium_toshape \
    nodedensity

.PHONY: all clean

all: $(PROGRAMS)

osmium_convert: osmium_convert.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_LIBXML2) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF) $(LIB_XML2)

osmium_store_and_debug: osmium_store_and_debug.cpp
	$(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF)

osmium_debug: osmium_debug.cpp
	$(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF)
#	$(CXX) $(CXXFLAGS) -DOSMIUM_DEBUG_WITH_ENDTIME -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF)

osmium_find_bbox: osmium_find_bbox.cpp
	$(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF)

osmium_progress: osmium_progress.cpp
	$(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF)

osmium_range_from_history: osmium_range_from_history.cpp
	$(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF)

osmium_sizeof: osmium_sizeof.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_LIBXML2) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF) $(LIB_XML2)

osmium_stats: osmium_stats.cpp
	$(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF) $(LIB_SQLITE)

osmium_time: osmium_time.cpp
	$(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF)

osmium_toogr: osmium_toogr.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_OGR) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF) $(LIB_OGR)

osmium_toogr2: osmium_toogr2.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_OGR) $(CXXFLAGS_GEOS) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF) $(LIB_OGR) $(LIB_GEOS)

osmium_toshape: osmium_toshape.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_SHAPE) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF) $(LIB_SHAPE)

nodedensity: nodedensity.cpp
	$(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF) $(LIB_GD)

clean:
	rm -f *.o core $(PROGRAMS)

=== osmjs/Makefile ===
#------------------------------------------------------------------------------
#
#  Osmium osmjs makefile
#
#------------------------------------------------------------------------------

CXX = g++

CXXFLAGS = -g
#CXXFLAGS = -O3

CXXFLAGS += -Wall -Wextra -Wredundant-decls -Wdisabled-optimization -pedantic
#CXXFLAGS += -Wpadded -Winline

# uncomment this if you want information on how long it took to build the multipolygons
#CXXFLAGS += -DOSMIUM_WITH_MULTIPOLYGON_PROFILING

CXXFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
CXXFLAGS += -DOSMIUM_WITH_GEOS $(shell geos-config --cflags)
CXXFLAGS += -DOSMIUM_WITH_SHPLIB
CXXFLAGS += -DOSMIUM_WITH_JAVASCRIPT

# Add this to force V8 garbage collection after each node/way/relation/area callback.
# Use only to find memory leaks. It will make osmjs really slow.
#CXXFLAGS += -DOSMIUM_V8_FORCE_GC

CXXFLAGS += -I../include

LDFLAGS = -L/usr/local/lib -lexpat -lpthread
LDFLAGS += $(shell geos-config --libs)

LIB_V8       = -lv8 -licuuc
LIB_SHAPE    = -lshp
LIB_PROTOBUF = -lz -lprotobuf-lite -losmpbf

.PHONY: all clean install

all: osmjs

osmjs: osmjs.cpp
	$(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIB_PROTOBUF) $(LIB_V8) $(LIB_SHAPE)

install:
	install -m 755 -g root -o root -d $(DESTDIR)/usr/bin
	install -m 755 -g root -o root osmjs $(DESTDIR)/usr/bin/osmjs
	install -m 755 -g root -o root -d $(DESTDIR)/usr/share/osmjs
	install -m 644 -g root -o root js/osm2shape.js $(DESTDIR)/usr/share/osmjs/osm2shape.js
	install -m 755 -g root -o root -d $(DESTDIR)/usr/share/doc/osmjs
	install -m 644 -g root -o root README $(DESTDIR)/usr/share/doc/osmjs/README
    
clean:
	rm -f *.o core osmjs

deb:
	debuild -I -us -uc

deb-clean:
	debuild clean

## osmium 0.0~20111213-g7f3500a

=== debian/changelog ===
osmium (0.0~20111213-g7f3500a-3build5) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Jan 2014 23:54:28 +0000

osmium (0.0~20111213-g7f3500a-3build4) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 04:55:38 +0000

osmium (0.0~20111213-g7f3500a-3build3) trusty; urgency=medium

  * No-change rebuild for geos transition.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Dec 2013 01:13:31 -0500

osmium (0.0~20111213-g7f3500a-3build2) trusty; urgency=low

  * Rebuild against libv8-3.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Nov 2013 16:14:31 +0000

osmium (0.0~20111213-g7f3500a-3build1) quantal; urgency=low

  * Rebuild against new libv8

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 06 Jun 2012 18:49:35 +0530

osmium (0.0~20111213-g7f3500a-3) unstable; urgency=low

  * Disable building the documentation, since doxygen randomly fails
    on some arches (Closes: #667035)
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Sat, 14 Apr 2012 19:54:44 +0200

osmium (0.0~20111213-g7f3500a-2) unstable; urgency=low

  * Switch dependency from libgeos-dev to libgeos++-dev
  * Fix FTBFS with the new geos library (02-support_new_libgeos++.patch)
  * Standards-Version bump to 3.9.3, no changes needed
  * Updated debian/copyright
  * Override three more invalid "duplicate files" by lintian

 -- David Paleino <dapal@debian.org>  Tue, 13 Mar 2012 09:53:50 +0100

osmium (0.0~20111213-g7f3500a-1) unstable; urgency=low

  * New git snapshot
  * Fix FTBFS with ld --as-needed, thanks to Julian Taylor
    (Closes: #656751)

 -- David Paleino <dapal@debian.org>  Tue, 31 Jan 2012 16:42:07 +0100

=== debian/control ===
Source: osmium
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , cppcheck
# , doxygen
# , graphviz
 , libprotobuf-dev
 , protobuf-compiler
 , libv8-dev
 , libicu-dev
 , libsparsehash-dev
 , libexpat1-dev
 , libgeos++-dev
 , libgdal1-dev
 , libgd2-xpm-dev
 , libsqlite3-dev
 , libshp-dev
 , zlib1g-dev
 , libboost-dev
 , libosmpbf-dev
 , libboost-test-dev
Standards-Version: 3.9.3
Homepage: http://wiki.openstreetmap.org/wiki/Osmium
Vcs-Git: git://git.debian.org/pkg-osm/osmium.git
Vcs-Browser: http://git.debian.org/?p=pkg-osm/osmium.git;a=summary

Package: libosmium-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ framework for working with OSM data files
 Osmium is a C++ framework for working with OSM data files. Osmium can read
 OSM data in XML or binary format (PBF) and can call different handlers for
 each OSM object.
 .
 Available handlers include:
  * Javascript handler (calls Javascript callbacks you provide)
  * Multipolygon handler (assembles areas(multipolygons) from relations and
    ways)
  * NodeLocationStore handler (stores node locations and builds way
    geometries from them)
  * Statistics handler (does some general statistics)
  * (others...)
 .
 This package provides the header files useful to develop third-party
 applications.

#Package: osmium-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends}
# , libjs-jquery
#Description: C++ framework for working with OSM data files - docs
# Osmium is a C++ framework for working with OSM data files. Osmium can read
# OSM data in XML or binary format (PBF) and can call different handlers for
# each OSM object.
# .
# Available handlers include:
#  * Javascript handler (calls Javascript callbacks you provide)
#  * Multipolygon handler (assembles areas(multipolygons) from relations and
#    ways)
#  * NodeLocationStore handler (stores node locations and builds way
#    geometries from them)
#  * Statistics handler (does some general statistics)
#  * (others...)
# .
# This package provides documentation about the Osmium framework.

Package: osmjs
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Description: osmium-based Javascript framework for handling OSM data
 Osmium is a C++ framework for working with OSM data files. Osmium can read
 OSM data in XML or binary format (PBF) and can call different handlers for
 each OSM object.
 .
 Available handlers include:
  * Javascript handler (calls Javascript callbacks you provide)
  * Multipolygon handler (assembles areas(multipolygons) from relations and
    ways)
  * NodeLocationStore handler (stores node locations and builds way
    geometries from them)
  * Statistics handler (does some general statistics)
  * (others...)
 .
 This package contains the Javascript framework based on osmium.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -Dosmjs

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -Dosmjs

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -Dosmjs

override_dh_auto_test:
	dh_auto_test
	cd test; ./run_tests.sh

## osmium 0.0~20140910

=== Makefile ===
#------------------------------------------------------------------------------
#
#  Osmium main makefile
#
#------------------------------------------------------------------------------

PREFIX ?= /usr
CXX=g++

INSTALL_USER := root

# We use the numeric id 0 here because different systems (Linux vs. BSD)
# use different names for the "root group".
INSTALL_GROUP := 0

all:

.PHONY: clean install check check-includes test indent

clean:
	rm -fr check-includes-report doc/html
	$(MAKE) -C test clean

install: doc
	install -m 755 -g $(INSTALL_GROUP) -o $(INSTALL_USER) -d $(DESTDIR)$(PREFIX)/include
	install -m 755 -g $(INSTALL_GROUP) -o $(INSTALL_USER) -d $(DESTDIR)$(PREFIX)/share/doc/libosmium-dev
	install -m 644 -g $(INSTALL_GROUP) -o $(INSTALL_USER) README $(DESTDIR)$(PREFIX)/share/doc/libosmium-dev/README
	install -m 644 -g $(INSTALL_GROUP) -o $(INSTALL_USER) include/osmium.hpp $(DESTDIR)$(PREFIX)/include
	cp -r include/osmium $(DESTDIR)$(PREFIX)/include
	cp -r doc/html $(DESTDIR)$(PREFIX)/share/doc/libosmium-dev

check:
	cppcheck --enable=all -I include */*.cpp test/t/*/test_*.cpp

WARNINGFLAGS = -Wall -Wextra -Wredundant-decls -Wdisabled-optimization -pedantic -Wctor-dtor-privacy -Wnon-virtual-dtor -Woverloaded-virtual -Wsign-promo -Wno-long-long -Winline -Weffc++ -Wold-style-cast

# This will try to compile each include file on its own to detect missing
# #include directives. Note that if this reports [OK], it is not enough
# to be sure it will compile in production code. But if it reports an error
# we know we are missing something.
check-includes:
	echo "CHECK INCLUDES REPORT:" >check-includes-report; \
    allok=yes; \
	for FILE in include/*.hpp include/*/*.hpp include/*/*/*.hpp include/*/*/*/*.hpp; do \
        flags=`./get_options.sh --cflags $${FILE}`; \
        eval eflags=$${flags}; \
        compile="$(CXX) $(WARNINGFLAGS) -I include $${eflags} $${FILE}"; \
        echo "\n======== $${FILE}\n$${compile}" >>check-includes-report; \
        if `$${compile} 2>>check-includes-report`; then \
            echo "[OK] $${FILE}"; \
        else \
            echo "[  ] $${FILE}"; \
            allok=no; \
        fi; \
        rm -f $${FILE}.gch; \
	done; \
    if test $${allok} = "yes"; then echo "All files OK"; else echo "There were errors"; fi; \
    echo "\nDONE" >>check-includes-report

test:
	(cd test && ./run_tests.sh)

indent:
	astyle --style=java --indent-namespaces --indent-switches --pad-header --lineend=linux --suffix=none --recursive include/\*.hpp examples/\*.cpp examples/\*.hpp osmjs/\*.cpp test/\*.cpp
#	astyle --style=java --indent-namespaces --indent-switches --pad-header --unpad-paren --align-pointer=type --lineend=linux --suffix=none --recursive include/\*.hpp examples/\*.cpp examples/\*.hpp osmjs/\*.cpp test/\*.cpp

doc: doc/html/files.html Doxyfile

doc/html/files.html: include/*.hpp include/*/*.hpp include/*/*/*.hpp
	doxygen >/dev/null

deb:
	debuild -I -us -uc

deb-clean:
	debuild clean

## osmium 0.0~20140910-9a069af

=== debian/changelog ===
osmium (0.0~20140910-9a069af-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Don't set BOOST_TEST_CATCH_SYSTEM_ERRORS=no for dh_auto_test on kFreeBSD,
    the upstream run_tests.sh now sets this variable.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 10 Sep 2014 10:40:52 +0200

osmium (0.0~20140825-3f3d229-2) unstable; urgency=medium

  * Set BOOST_TEST_CATCH_SYSTEM_ERRORS=no environment variable to fix the test
    failure on kFreeBSD where Boost catches the SIGCHLD signal when zcat and
    bzcat exit successfully but considers the signal a fatal error.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 09 Sep 2014 22:15:43 +0200

osmium (0.0~20140825-3f3d229-1) unstable; urgency=medium

  [ Andreas Tille ]
  * debian/control:
    - Added myself as Uploader
    - Moved to pkg-grass team (in Vcs fields)
    - cme fix dpkg-control (+readded commented osmium-doc paragraph)
    - Priority: optional
    - debhelper 9
    - Make Debian GIS maintainer of the package
    - Build-Depends: s/libgdal1-dev/libgdal-dev (>= 1.10.0-0~)/
      Closes: #732389

  [ Bas Couwenberg ]
  * Add myself to Uploaders.
  * Update gbp.conf to use pristine-tar by default.
  * New git snapshot.
    (closes: #700614)
  * Add build dependencies on boost libraries.
  * Drop obsolete patches, refresh remaining patches.
  * Append CPPFLAGS to CXXFLAGS for hardening flags.
  * Don't run tests twice.
  * Update copyright file.
  * Add lintian override for space-in-std-shortname-in-dep5-copyright false
    positive.
  * Add lintian override for missing watch file, the upstream repository on
    GitHub doesn't have tagged releases, only the master branch.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 07 Sep 2014 21:21:46 +0200

osmium (0.0~20111213-g7f3500a-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on mips big-endian.
    Add 04-big-endian.patch.
    Patch by Jurica Stanojkovic <Jurica.Stanojkovic@imgtec.com>.
    Closes: #749501.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 28 May 2014 09:20:00 +0100

=== debian/control ===
Source: osmium
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Andreas Tille <tille@debian.org>,
           Bas Couwenberg <sebastic@xs4all.nl>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               cppcheck,
               libprotobuf-dev,
               protobuf-compiler,
               libv8-dev,
               libicu-dev,
               libsparsehash-dev,
               libexpat1-dev,
               libgeos++-dev,
               libgdal-dev (>= 1.10.0-0~),
               libgd2-xpm-dev,
               libsqlite3-dev,
               libshp-dev,
               zlib1g-dev,
               libboost-dev,
               libboost-regex-dev,
               libboost-iostreams-dev,
               libboost-filesystem-dev,
               libboost-system-dev,
               libosmpbf-dev,
               libboost-test-dev
# , doxygen
# , graphviz
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/?p=pkg-grass/osmium.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/osmium.git
Homepage: http://wiki.openstreetmap.org/wiki/Osmium

Package: libosmium-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
Description: C++ framework for working with OSM data files
 Osmium is a C++ framework for working with OSM data files. Osmium can read
 OSM data in XML or binary format (PBF) and can call different handlers for
 each OSM object.
 .
 Available handlers include:
  * Javascript handler (calls Javascript callbacks you provide)
  * Multipolygon handler (assembles areas(multipolygons) from relations and
    ways)
  * NodeLocationStore handler (stores node locations and builds way
    geometries from them)
  * Statistics handler (does some general statistics)
  * (others...)
 .
 This package provides the header files useful to develop third-party
 applications.

Package: osmjs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: osmium-based Javascript framework for handling OSM data
 Osmium is a C++ framework for working with OSM data files. Osmium can read
 OSM data in XML or binary format (PBF) and can call different handlers for
 each OSM object.
 .
 Available handlers include:
  * Javascript handler (calls Javascript callbacks you provide)
  * Multipolygon handler (assembles areas(multipolygons) from relations and
    ways)
  * NodeLocationStore handler (stores node locations and builds way
    geometries from them)
  * Statistics handler (does some general statistics)
  * (others...)
 .
 This package contains the Javascript framework based on osmium.

#Package: osmium-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends}
# , libjs-jquery
#Description: C++ framework for working with OSM data files - docs
# Osmium is a C++ framework for working with OSM data files. Osmium can read
# OSM data in XML or binary format (PBF) and can call different handlers for
# each OSM object.
# .
# Available handlers include:
#  * Javascript handler (calls Javascript callbacks you provide)
#  * Multipolygon handler (assembles areas(multipolygons) from relations and
#    ways)
#  * NodeLocationStore handler (stores node locations and builds way
#    geometries from them)
#  * Statistics handler (does some general statistics)
#  * (others...)
# .
# This package provides documentation about the Osmium framework.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+CXXFLAGS += $(CPPFLAGS)
+
+DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
 	dh $@
@@ -19,6 +23,6 @@
 	dh_auto_install
 	dh_auto_install -Dosmjs
 
-override_dh_auto_test:
-	dh_auto_test
-	cd test; ./run_tests.sh
+override_dh_install:
+	dh_install --list-missing
+

## osmium 0.0~20150428-7f23002

=== debian/changelog ===
osmium (0.0~20150428-7f23002-2) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Drop .0 from GPL license shortname in copyright file.
  * Drop © character from copyright statements.
  * Use libgd-dev instead of libgd2-xpm-dev transition package.
  * Rebuild for geos, protobuf & icu transitions.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Aug 2015 00:50:32 +0200

osmium (0.0~20150428-7f23002-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Add upstream metadata.
  * Update my email to @debian.org address.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Bump Standards-Version to 3.9.6, no changes.
  * Update Homepage URL for page move.
  * Add get-orig-source target to create tarball from upstream git repository.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Apr 2015 21:47:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,36 +2,36 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Bas Couwenberg <sebastic@xs4all.nl>
+           Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cppcheck,
+               libboost-dev,
+               libboost-filesystem-dev,
+               libboost-iostreams-dev,
+               libboost-regex-dev,
+               libboost-system-dev,
+               libboost-test-dev,
+               libexpat1-dev,
+               libgd-dev,
+               libgdal-dev (>= 1.10.0-0~),
+               libgeos++-dev,
+               libicu-dev,
+               libosmpbf-dev,
                libprotobuf-dev,
+               libshp-dev,
+               libsparsehash-dev,
+               libsqlite3-dev,
+               libv8-dev,
                protobuf-compiler,
-               libv8-dev,
-               libicu-dev,
-               libsparsehash-dev,
-               libexpat1-dev,
-               libgeos++-dev,
-               libgdal-dev (>= 1.10.0-0~),
-               libgd2-xpm-dev,
-               libsqlite3-dev,
-               libshp-dev,
-               zlib1g-dev,
-               libboost-dev,
-               libboost-regex-dev,
-               libboost-iostreams-dev,
-               libboost-filesystem-dev,
-               libboost-system-dev,
-               libosmpbf-dev,
-               libboost-test-dev
+               zlib1g-dev
 # , doxygen
 # , graphviz
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-grass/osmium.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmium.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/osmium.git
-Homepage: http://wiki.openstreetmap.org/wiki/Osmium
+Homepage: http://wiki.openstreetmap.org/wiki/Osmium/Old_version
 
 Package: libosmium-dev
 Architecture: any

## osmium 0.0~20160124

=== examples/Makefile ===
#------------------------------------------------------------------------------
#
#  Makefile for Osmium examples
#
#------------------------------------------------------------------------------
#
#  You can set several environment variables before running make if you don't
#  like the defaults:
#
#  CXX                - Your C++ compiler.
#  CPLUS_INCLUDE_PATH - Include file search path.
#  CXXFLAGS           - Extra compiler flags.
#  LDFLAGS            - Extra linker flags.
#  
#------------------------------------------------------------------------------

CXXFLAGS += -O3
#CXXFLAGS += -g
CXXFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
CXXFLAGS += -I../include -I/usr/include/libshp

# remove this if you do not want debugging to be compiled in
CXXFLAGS += -DOSMIUM_WITH_DEBUG

CXXFLAGS_GEOS     := $(shell geos-config --cflags)
CXXFLAGS_LIBXML2  := $(shell xml2-config --cflags)
CXXFLAGS_OGR      := $(shell gdal-config --cflags)
CXXFLAGS_WARNINGS := -Wall -Wextra -Wdisabled-optimization -pedantic -Wctor-dtor-privacy -Wnon-virtual-dtor -Woverloaded-virtual -Wsign-promo -Wno-long-long

LIB_EXPAT  := -lexpat
LIB_PBF    := -lz -lpthread -lprotobuf-lite -losmpbf
LIB_GD     := -lgd -lz -lm
LIB_GEOS   := $(shell geos-config --libs)
LIB_OGR    := $(shell gdal-config --libs)
LIB_SHAPE  := -lshp $(LIB_GEOS)
LIB_XML2   := $(shell xml2-config --libs)

PROGRAMS := \
    osmium_convert \
    osmium_debug \
    osmium_find_bbox \
    osmium_mpdump \
    osmium_progress \
    osmium_range_from_history \
    osmium_relation_members \
    osmium_sizeof \
    osmium_store_and_debug \
    osmium_time \
    osmium_toogr \
    osmium_toogr2 \
    osmium_to_postgis \
    osmium_toshape \
    nodedensity

.PHONY: all clean

all: $(PROGRAMS)

osmium_convert: osmium_convert.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) $(CXXFLAGS_LIBXML2) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF) $(LIB_XML2)

osmium_debug: osmium_debug.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF)
#	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) -DOSMIUM_DEBUG_WITH_ENDTIME -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF)

osmium_find_bbox: osmium_find_bbox.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF)

osmium_mpdump: osmium_mpdump.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) $(CXXFLAGS_GEOS) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF) $(LIB_GEOS)

osmium_progress: osmium_progress.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF)

osmium_range_from_history: osmium_range_from_history.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) $(CXXFLAGS_LIBXML2) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF) $(LIB_XML2)

osmium_relation_members: osmium_relation_members.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF)

osmium_sizeof: osmium_sizeof.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF)

osmium_store_and_debug: osmium_store_and_debug.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF)

osmium_time: osmium_time.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF)

osmium_toogr: osmium_toogr.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) $(CXXFLAGS_OGR) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF) $(LIB_OGR)

osmium_toogr2: osmium_toogr2.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) $(CXXFLAGS_OGR) $(CXXFLAGS_GEOS) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF) $(LIB_OGR) $(LIB_GEOS)

osmium_to_postgis: osmium_to_postgis.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) $(CXXFLAGS_OGR) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF) $(LIB_OGR)

osmium_toshape: osmium_toshape.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) $(CXXFLAGS_GEOS) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF) $(LIB_SHAPE)

nodedensity: nodedensity.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_WARNINGS) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF) $(LIB_GD)

clean:
	rm -f *.o core $(PROGRAMS)

=== osmjs/Makefile ===
#------------------------------------------------------------------------------
#
#  Osmium osmjs Makefile
#
#------------------------------------------------------------------------------
#
#  You can set several environment variables before running make if you don't
#  like the defaults:
#
#  CXX                - Your C++ compiler.
#  CPLUS_INCLUDE_PATH - Include file search path.
#  CXXFLAGS           - Extra compiler flags.
#  LDFLAGS            - Extra linker flags.
#  
#------------------------------------------------------------------------------

CXXFLAGS += -O3
#CXXFLAGS += -g
CXXFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
CXXFLAGS += -I../include -I/usr/include/libshp

# remove this if you do not want debugging to be compiled in
CXXFLAGS += -DOSMIUM_WITH_DEBUG

# Add this to force V8 garbage collection after each node/way/relation/area callback.
# Use only to find memory leaks. It will make osmjs really slow.
#CXXFLAGS += -DOSMIUM_V8_FORCE_GC

CXXFLAGS_GEOS     := $(shell geos-config --cflags)
CXXFLAGS_WARNINGS := -Wall -Wextra -Wdisabled-optimization -pedantic -Wctor-dtor-privacy -Wnon-virtual-dtor -Woverloaded-virtual -Wsign-promo -Wno-long-long

LIB_EXPAT := -lexpat
LIB_PBF   := -lz -lpthread -lprotobuf-lite -losmpbf
LIB_V8    := -lv8 -licuuc
LIB_SHAPE := -lshp
LIB_GEOS  := $(shell geos-config --libs)

.PHONY: all install clean deb deb-clean

all: osmjs

osmjs: osmjs.cpp
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_GEOS) $(CXXFLAGS_WARNINGS) -o $@ $< $(LDFLAGS) $(LIB_EXPAT) $(LIB_PBF) $(LIB_V8) $(LIB_SHAPE) $(LIB_GEOS)

install:
	install -m 755 -g root -o root -d $(DESTDIR)/usr/bin
	install -m 755 -g root -o root osmjs $(DESTDIR)/usr/bin/osmjs
	install -m 755 -g root -o root -d $(DESTDIR)/usr/share/osmjs
	install -m 644 -g root -o root js/osm2shape.js $(DESTDIR)/usr/share/osmjs/osm2shape.js
	install -m 755 -g root -o root -d $(DESTDIR)/usr/share/doc/osmjs
	install -m 644 -g root -o root README $(DESTDIR)/usr/share/doc/osmjs/README
    
clean:
	rm -f *.o core osmjs

deb:
	debuild -I -us -uc

deb-clean:
	debuild clean

=== test/Makefile ===
CXX = g++

CXXFLAGS += -g

CXXFLAGS += -Wall -Wextra -Wdisabled-optimization -pedantic -Wctor-dtor-privacy -Wnon-virtual-dtor -Woverloaded-virtual -Wsign-promo -Wno-long-long

CXXFLAGS_GEOS    = $(shell geos-config --cflags)
CXXFLAGS_LIBXML2 = $(shell xml2-config --cflags)
CXXFLAGS_OGR     = $(shell gdal-config --cflags)

CXXFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DBOOST_TEST_DYN_LINK
CXXFLAGS += -I../include -I.

# remove this if you do not want debugging to be compiled in
CXXFLAGS += -DOSMIUM_WITH_DEBUG

LIB_EXPAT  = -lexpat
LIB_GD     = -lgd -lz -lm
LIB_GEOS   = $(shell geos-config --libs)
LIB_OGR    = $(shell gdal-config --libs)
LIB_PBF    = -lz -lpthread -lprotobuf-lite -losmpbf
LIB_SHAPE  = -lshp $(LIB_GEOS)
LIB_SQLITE = -lsqlite3
LIB_XML2   = $(shell xml2-config --libs)

LDFLAGS += $(LIB_EXPAT) $(LIB_PBF) -lboost_unit_test_framework -lboost_regex -lboost_iostreams -lboost_filesystem -lboost_system

SCAN_DIRS = \
	t/geometry \
	t/osm \
	t/handler \
	t/geometry_geos \
	t/geometry_ogr \
	t/osmfile \
	t/utils \
	t/tags \

ALL_TESTS = $(shell find $(SCAN_DIRS) -name "*.cpp" | sed -e "s/.cpp$$/.o/")
ALL_TESTS_COVERAGE = $(shell find $(SCAN_DIRS) -name "*.cpp" | sed -e "s/.cpp$$/.ocov/")

.PHONY: test_main clean coverage

ALL:	test_main
	./test_main

clean:
	find . -name "*.o" -exec rm {} ";"
	find . -name "*.ocov" -exec rm {} ";"
	find . -name "*.gcda" -exec rm {} ";"
	find . -name "*.gcno" -exec rm {} ";"
	rm -rf coverage gcov tests.info test_main test_main_cov tests

test_main: $(ALL_TESTS) test_main.o test_utils.o
	$(CXX) $(LDFLAGS) $(LIB_SHAPE) $(LIB_OGR) $(LIB_GD) $(LIB_GEOS) $(LIB_XML2) -o $@ $^

%.o: %.cpp
	$(CXX) -c $(CXXFLAGS) $(CXXFLAGS_LIBXML2) $(CXXFLAGS_GEOS) $(CXXFLAGS_OGR) -o $@ $< 

%.ocov: %.cpp
	$(CXX) -c $(CXXFLAGS) $(CXXFLAGS_LIBXML2) $(CXXFLAGS_GEOS) $(CXXFLAGS_OGR) --coverage -o $@ $< 

%.test: %.o test_main.o test_utils.o
	$(CXX) $(LDFLAGS) $(LIB_SHAPE) $(LIB_OGR) $(LIB_GD) $(LIB_GEOS) $(LIB_XML2) -o $@ $< test_main.o test_utils.o

test_main_cov:	$(ALL_TESTS_COVERAGE) test_main.ocov test_utils.ocov
	$(CXX) $(LDFLAGS) $(LIB_SHAPE) $(LIB_OGR) $(LIB_GD) $(LIB_GEOS) $(LIB_XML2) --coverage -o $@ $^

coverage: test_main_cov
	lcov --zerocounters --directory .
	#export CXXFLAGS="$(CXXFLAGS) --coverage" LDFLAGS="$(LDFLAGS) --coverage" && make ALL || echo "test errors"
	./test_main_cov || true
	lcov --capture --directory . --base-directory . -o tests.info
	#lcov --extract -o tests-programcoverage 
	genhtml -o coverage tests.info

coverage-gcov: test_main_cov
	lcov --zerocounters --directory .
	#export CXXFLAGS="$(CXXFLAGS) --coverage" LDFLAGS="$(LDFLAGS) --coverage" && make ALL || echo "test errors"
	./test_main_cov || true
	find . -name "*.cpp" | xargs gcov -r -p -s ../include
	mkdir gcov || true
	mv *.gcov gcov/

## osmium 0.0~20160124-b30afd3

=== debian/changelog ===
osmium (0.0~20160124-b30afd3-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Makes tests compile in c++11 mode.
    (closes: #811999)
  * Update Vcs-Git URL to use HTTPS.
  * Add NEWS entry to document the deprecation of the old osmium.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jan 2016 18:02:46 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 # , graphviz
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmium.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/osmium.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osmium.git
 Homepage: http://wiki.openstreetmap.org/wiki/Osmium/Old_version
 
 Package: libosmium-dev

=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,6 @@
 override_dh_install:
 	dh_install --list-missing
 
+get-orig-source:
+	. debian/get-orig-source
+

## osmium 0.0~20160425-e2e4368

=== debian/changelog ===
osmium (0.0~20160425-e2e4368-2build1) yakkety; urgency=medium

  * No-change rebuild for protobuf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Sep 2016 12:06:58 +0000

osmium (0.0~20160425-e2e4368-2) unstable; urgency=medium

  * Enable parallel builds.
  * Drop unused override for space-in-std-shortname-in-dep5-copyright.
  * Add patch to disable problematic tests.
    (LP: #1574590)
  * Update Homepage URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Aug 2016 15:45:04 +0200

osmium (0.0~20160425-e2e4368-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 13:36:50 +0200

=== debian/control ===
--- 
+++ 
@@ -28,10 +28,10 @@
                zlib1g-dev
 # , doxygen
 # , graphviz
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmium.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osmium.git
-Homepage: http://wiki.openstreetmap.org/wiki/Osmium/Old_version
+Homepage: https://wiki.openstreetmap.org/wiki/Osmium/Old_version
 
 Package: libosmium-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 CXXFLAGS += $(CPPFLAGS)
 
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_build:
 	dh_auto_build
